### Method

# Atk Object get_attributes

since: 1.12

#### Declaration [src]

    AtkAttributeSet*
    atk_object_get_attributes (
      AtkObject* accessible
    )

#### Description [src]

Get a list of properties applied to this object as a whole, as an `AtkAttributeSet` consisting of name-value pairs. As such these attributes may be considered weakly-typed properties or annotations, as distinct from strongly-typed object data available via other get/set methods. Not all objects have explicit “name-value pair” `AtkAttributeSet` properties.

Available since: 1.12

#### Return value

Type: `AtkAttributeSet`

An `AtkAttributeSet` consisting of all explicit properties/annotations applied to the object, or an empty set if the object has no name-value pair attributes assigned to it. This #atkattributeset should be freed by a call to atk_attribute_set_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.